<?php

declare(strict_types=1);

namespace App\Controller;

use App\Repository\DrinkTypeRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route(path: '/', name: 'app_index')]
final class Index extends AbstractController
{
    public function __invoke(DrinkTypeRepository $drinkTypeRepository): Response
    {
        return $this->render('index.html.twig', [
            'drinkTypes' => $drinkTypeRepository->findWanted(),
        ]);

    }
}
